error_log  /dev/stderr debug;

include /etc/nginx/global.conf;

http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;
    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                    '$status $body_bytes_sent "$http_referer" '
                    '"$http_user_agent" "$http_x_forwarded_for"';

    access_log  /dev/stdout;
    sendfile        on;

    include       /etc/nginx/conf.d/*.conf;
    # https://serverfault.com/questions/587386/an-upstream-response-is-buffered-to-a-temporary-file
    proxy_max_temp_file_size 0;
    # Ref: https://gitlab.cern.ch/drupal/paas/cern-drupal-distribution/-/issues/14
    client_max_body_size 60M;

    # Fix error "upstream sent too big header"
    # Error msg:
    #     `1396 upstream sent too big header while reading response header from upstream`
    proxy_buffer_size 8k;
}
